#include <iostream>

using namespace std;

int main()
{
    long long int V;
    cin>>V;
    int br=0;
    while(V>0)
    {
        int deo=V%10;
        if(deo==0)
            continue;
        if(deo==1||deo==2||deo==5)
            br++;
        if(deo==3||deo==4||deo==6||deo==7)
            br+=2;
        if(deo==8||deo==9)
            br+=3;
        V=V/10;
    }
    cout<<br<<endl;

    return 0;
}